IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
2001:89::/32- First address
2001:89::- Last address
2001:89:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
2001:0089:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.8.0.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:89::/32 makes 4,096 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:89::/44 | 2001:89:f:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:89:10::/44 | 2001:89:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:89:20::/44 | 2001:89:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:89:30::/44 | 2001:89:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:89:40::/44 | 2001:89:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:89:50::/44 | 2001:89:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:89:60::/44 | 2001:89:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:89:70::/44 | 2001:89:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:89:80::/44 | 2001:89:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:89:90::/44 | 2001:89:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:89:a0::/44 | 2001:89:af:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:89:b0::/44 | 2001:89:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:89:c0::/44 | 2001:89:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:89:d0::/44 | 2001:89:df:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:89:e0::/44 | 2001:89:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:89:f0::/44 | 2001:89:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:89:100::/44 | 2001:89:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:89:110::/44 | 2001:89:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:89:120::/44 | 2001:89:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:89:130::/44 | 2001:89:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:89:140::/44 | 2001:89:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:89:150::/44 | 2001:89:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:89:160::/44 | 2001:89:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:89:170::/44 | 2001:89:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:89:180::/44 | 2001:89:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:89:190::/44 | 2001:89:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:89:1a0::/44 | 2001:89:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:89:1b0::/44 | 2001:89:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:89:1c0::/44 | 2001:89:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:89:1d0::/44 | 2001:89:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:89:1e0::/44 | 2001:89:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:89:1f0::/44 | 2001:89:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:89:200::/44 | 2001:89:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:89:210::/44 | 2001:89:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:89:220::/44 | 2001:89:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:89:230::/44 | 2001:89:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:89:240::/44 | 2001:89:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:89:250::/44 | 2001:89:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:89:260::/44 | 2001:89:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:89:270::/44 | 2001:89:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:89:280::/44 | 2001:89:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:89:290::/44 | 2001:89:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:89:2a0::/44 | 2001:89:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:89:2b0::/44 | 2001:89:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:89:2c0::/44 | 2001:89:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:89:2d0::/44 | 2001:89:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:89:2e0::/44 | 2001:89:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:89:2f0::/44 | 2001:89:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:89:300::/44 | 2001:89:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:89:310::/44 | 2001:89:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:89:320::/44 | 2001:89:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:89:330::/44 | 2001:89:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:89:340::/44 | 2001:89:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:89:350::/44 | 2001:89:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:89:360::/44 | 2001:89:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:89:370::/44 | 2001:89:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:89:380::/44 | 2001:89:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:89:390::/44 | 2001:89:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:89:3a0::/44 | 2001:89:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:89:3b0::/44 | 2001:89:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:89:3c0::/44 | 2001:89:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:89:3d0::/44 | 2001:89:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:89:3e0::/44 | 2001:89:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:89:3f0::/44 | 2001:89:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:89:400::/44 | 2001:89:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:89:410::/44 | 2001:89:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:89:420::/44 | 2001:89:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:89:430::/44 | 2001:89:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:89:440::/44 | 2001:89:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:89:450::/44 | 2001:89:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:89:460::/44 | 2001:89:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:89:470::/44 | 2001:89:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:89:480::/44 | 2001:89:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:89:490::/44 | 2001:89:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:89:4a0::/44 | 2001:89:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:89:4b0::/44 | 2001:89:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:89:4c0::/44 | 2001:89:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:89:4d0::/44 | 2001:89:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:89:4e0::/44 | 2001:89:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:89:4f0::/44 | 2001:89:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:89:500::/44 | 2001:89:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:89:510::/44 | 2001:89:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:89:520::/44 | 2001:89:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:89:530::/44 | 2001:89:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:89:540::/44 | 2001:89:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:89:550::/44 | 2001:89:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:89:560::/44 | 2001:89:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:89:570::/44 | 2001:89:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:89:580::/44 | 2001:89:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:89:590::/44 | 2001:89:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:89:5a0::/44 | 2001:89:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:89:5b0::/44 | 2001:89:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:89:5c0::/44 | 2001:89:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:89:5d0::/44 | 2001:89:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:89:5e0::/44 | 2001:89:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:89:5f0::/44 | 2001:89:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:89:600::/44 | 2001:89:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:89:610::/44 | 2001:89:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:89:620::/44 | 2001:89:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:89:630::/44 | 2001:89:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:89:640::/44 | 2001:89:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:89:650::/44 | 2001:89:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:89:660::/44 | 2001:89:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:89:670::/44 | 2001:89:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:89:680::/44 | 2001:89:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:89:690::/44 | 2001:89:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:89:6a0::/44 | 2001:89:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:89:6b0::/44 | 2001:89:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:89:6c0::/44 | 2001:89:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:89:6d0::/44 | 2001:89:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:89:6e0::/44 | 2001:89:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:89:6f0::/44 | 2001:89:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:89:700::/44 | 2001:89:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:89:710::/44 | 2001:89:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:89:720::/44 | 2001:89:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:89:730::/44 | 2001:89:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:89:740::/44 | 2001:89:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:89:750::/44 | 2001:89:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:89:760::/44 | 2001:89:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:89:770::/44 | 2001:89:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:89:780::/44 | 2001:89:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:89:790::/44 | 2001:89:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:89:7a0::/44 | 2001:89:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:89:7b0::/44 | 2001:89:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:89:7c0::/44 | 2001:89:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:89:7d0::/44 | 2001:89:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:89:7e0::/44 | 2001:89:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:89:7f0::/44 | 2001:89:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:89:800::/44 | 2001:89:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:89:810::/44 | 2001:89:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:89:820::/44 | 2001:89:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:89:830::/44 | 2001:89:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:89:840::/44 | 2001:89:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:89:850::/44 | 2001:89:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:89:860::/44 | 2001:89:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:89:870::/44 | 2001:89:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:89:880::/44 | 2001:89:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:89:890::/44 | 2001:89:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:89:8a0::/44 | 2001:89:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:89:8b0::/44 | 2001:89:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:89:8c0::/44 | 2001:89:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:89:8d0::/44 | 2001:89:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:89:8e0::/44 | 2001:89:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:89:8f0::/44 | 2001:89:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:89:900::/44 | 2001:89:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:89:910::/44 | 2001:89:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:89:920::/44 | 2001:89:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:89:930::/44 | 2001:89:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:89:940::/44 | 2001:89:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:89:950::/44 | 2001:89:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:89:960::/44 | 2001:89:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:89:970::/44 | 2001:89:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:89:980::/44 | 2001:89:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:89:990::/44 | 2001:89:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:89:9a0::/44 | 2001:89:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:89:9b0::/44 | 2001:89:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:89:9c0::/44 | 2001:89:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:89:9d0::/44 | 2001:89:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:89:9e0::/44 | 2001:89:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:89:9f0::/44 | 2001:89:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:89:a00::/44 | 2001:89:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:89:a10::/44 | 2001:89:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:89:a20::/44 | 2001:89:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:89:a30::/44 | 2001:89:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:89:a40::/44 | 2001:89:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:89:a50::/44 | 2001:89:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:89:a60::/44 | 2001:89:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:89:a70::/44 | 2001:89:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:89:a80::/44 | 2001:89:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:89:a90::/44 | 2001:89:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:89:aa0::/44 | 2001:89:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:89:ab0::/44 | 2001:89:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:89:ac0::/44 | 2001:89:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:89:ad0::/44 | 2001:89:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:89:ae0::/44 | 2001:89:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:89:af0::/44 | 2001:89:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:89:b00::/44 | 2001:89:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:89:b10::/44 | 2001:89:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:89:b20::/44 | 2001:89:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:89:b30::/44 | 2001:89:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:89:b40::/44 | 2001:89:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:89:b50::/44 | 2001:89:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:89:b60::/44 | 2001:89:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:89:b70::/44 | 2001:89:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:89:b80::/44 | 2001:89:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:89:b90::/44 | 2001:89:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:89:ba0::/44 | 2001:89:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:89:bb0::/44 | 2001:89:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:89:bc0::/44 | 2001:89:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:89:bd0::/44 | 2001:89:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:89:be0::/44 | 2001:89:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:89:bf0::/44 | 2001:89:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:89:c00::/44 | 2001:89:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:89:c10::/44 | 2001:89:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:89:c20::/44 | 2001:89:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:89:c30::/44 | 2001:89:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:89:c40::/44 | 2001:89:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:89:c50::/44 | 2001:89:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:89:c60::/44 | 2001:89:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:89:c70::/44 | 2001:89:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:89:c80::/44 | 2001:89:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:89:c90::/44 | 2001:89:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:89:ca0::/44 | 2001:89:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:89:cb0::/44 | 2001:89:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:89:cc0::/44 | 2001:89:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:89:cd0::/44 | 2001:89:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:89:ce0::/44 | 2001:89:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:89:cf0::/44 | 2001:89:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:89:d00::/44 | 2001:89:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:89:d10::/44 | 2001:89:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:89:d20::/44 | 2001:89:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:89:d30::/44 | 2001:89:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:89:d40::/44 | 2001:89:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:89:d50::/44 | 2001:89:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:89:d60::/44 | 2001:89:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:89:d70::/44 | 2001:89:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:89:d80::/44 | 2001:89:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:89:d90::/44 | 2001:89:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:89:da0::/44 | 2001:89:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:89:db0::/44 | 2001:89:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:89:dc0::/44 | 2001:89:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:89:dd0::/44 | 2001:89:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:89:de0::/44 | 2001:89:def:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:89:df0::/44 | 2001:89:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:89:e00::/44 | 2001:89:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:89:e10::/44 | 2001:89:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:89:e20::/44 | 2001:89:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:89:e30::/44 | 2001:89:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:89:e40::/44 | 2001:89:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:89:e50::/44 | 2001:89:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:89:e60::/44 | 2001:89:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:89:e70::/44 | 2001:89:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:89:e80::/44 | 2001:89:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:89:e90::/44 | 2001:89:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:89:ea0::/44 | 2001:89:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:89:eb0::/44 | 2001:89:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:89:ec0::/44 | 2001:89:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:89:ed0::/44 | 2001:89:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:89:ee0::/44 | 2001:89:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:89:ef0::/44 | 2001:89:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:89:f00::/44 | 2001:89:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:89:f10::/44 | 2001:89:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:89:f20::/44 | 2001:89:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:89:f30::/44 | 2001:89:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:89:f40::/44 | 2001:89:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:89:f50::/44 | 2001:89:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:89:f60::/44 | 2001:89:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:89:f70::/44 | 2001:89:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:89:f80::/44 | 2001:89:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:89:f90::/44 | 2001:89:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:89:fa0::/44 | 2001:89:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:89:fb0::/44 | 2001:89:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:89:fc0::/44 | 2001:89:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:89:fd0::/44 | 2001:89:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:89:fe0::/44 | 2001:89:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:89:ff0::/44 | 2001:89:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |